Obter lid por número de telefone (ID da conversa) (Get lid by phone number (chat id))
curl --request GET \
--url https://{host}/api/{session}/lids/pn/{phoneNumber} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/lids/pn/{phoneNumber}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/lids/pn/{phoneNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lid": "12345678901234567890",
"phone": "5511999999999",
"jid": "5511999999999@s.whatsapp.net"
}
Contatos
Obter LID por Número de Telefone
Obter LID associado a um número de telefone específico
GET
/
api
/
{session}
/
lids
/
pn
/
{phoneNumber}
Obter lid por número de telefone (ID da conversa) (Get lid by phone number (chat id))
Descrição
Este endpoint retorna o LID (Local ID) associado a um número de telefone específico. LID é um identificador local usado pelo WhatsApp para mapear contatos de forma eficiente.Parâmetros de URL
string
required
ID único da sessão autenticada
string
required
Número de telefone (formato internacional, apenas números). Exemplo:
5511999999999{
"lid": "12345678901234567890",
"phone": "5511999999999",
"jid": "5511999999999@s.whatsapp.net"
}
Códigos de Status
200- LID retornado com sucesso401- Sessão não autorizada404- Sessão ou número de telefone não encontrado
Exemplo de Uso
curl -X GET https://api.wappfy.com.br/api/my-session/lids/pn/5511999999999
const session = 'my-session';
const phoneNumber = '5511999999999';
const response = await fetch(
`https://api.wappfy.com.br/api/${session}/lids/pn/${phoneNumber}`
);
const data = await response.json();
console.log(`Telefone: ${data.phone}`);
console.log(`LID: ${data.lid}`);
console.log(`JID: ${data.jid}`);
import requests
session = 'my-session'
phone_number = '5511999999999'
response = requests.get(
f'https://api.wappfy.com.br/api/{session}/lids/pn/{phone_number}'
)
data = response.json()
print(f"Telefone: {data['phone']}")
print(f"LID: {data['lid']}")
print(f"JID: {data['jid']}")
